Skip to main content
GET
List Discounts

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Return only records matching name.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
name,
-name,
code,
-code,
redemptions_count,
-redemptions_count,
ends_at,
-ends_at

Response

Request completed successfully

items
(DiscountFixedOnceForeverDuration · object | DiscountFixedRepeatDuration · object | DiscountPercentageOnceForeverDuration · object | DiscountPercentageRepeatDuration · object)[]
required

Schema for a fixed amount discount that is applied once or forever.

pagination
Pagination · object
required